Skip to main content
PATCH
/
receipts
/
{id}
Update receipt
curl --request PATCH \
  --url https://integrations.clopos.com/open-api/v2/receipts/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-token: <api-key>' \
  --data '
{
  "order_status": "NEW",
  "order_number": "RPO-00001",
  "fiscal_id": "Twrewr89fnscvj22",
  "lock": false
}
'
{
  "success": true,
  "data": {
    "id": 123,
    "venue_id": 123,
    "cid": "<string>",
    "user_id": 123,
    "terminal_id": 123,
    "source": "<string>",
    "customer_id": 123,
    "sale_type_id": 123,
    "guests": 123,
    "status": 123,
    "lock": true,
    "total": 123,
    "subtotal": 123,
    "payment_methods": [
      {
        "id": 123,
        "name": "<string>",
        "amount": 123
      }
    ],
    "fiscal_id": "<string>",
    "discount_type": 123,
    "discount_value": 123,
    "service_charge": 123,
    "delivery_fee": 123,
    "order_status": "<string>",
    "order_number": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "closed_at": "<string>",
    "deleted_at": "<string>"
  },
  "message": "<string>",
  "time": 123,
  "timestamp": "<string>",
  "unix": 123
}

Documentation Index

Fetch the complete documentation index at: https://developer.clopos.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-token
string
header
required

JWT access token obtained from /v2/auth endpoint

Path Parameters

id
integer
required

Receipt ID

Body

application/json
order_status
enum<string>

Order status

Available options:
NEW,
SCHEDULED,
IN_PROGRESS,
READY,
PICKED_UP,
COMPLETED,
CANCELLED
order_number
string

Order number identifier

fiscal_id
string

Fiscal receipt identifier

lock
boolean

Lock status of the receipt

Response

Receipt updated successfully

success
boolean
data
object
message
string
time
integer
timestamp
string
unix
integer